//this sketch will turn on and off LEDs using a remote control

#include <IRremote.h>                                 //load the IRremote library

int RECV_PIN = 2;                                     //Set the IRreceiver on pin 2 on the Arduino
IRrecv irrecv(RECV_PIN);                              //Create an instance for irrecv
decode_results results;                               //Create an instance to store the collected data in
int RLED = 8;                                         //Assign the red LED to pin 8
int BLED = 9;                                         //Assign the blue LED to pin 9
int OLED = 10;                                        //Assign the orange LED to pin 10
int YLED = 11;                                        //Assign the yellow LED to pin 11
int GLED = 12;                                        //Assign the green LED to pin 12

void setup() 
  {
        irrecv.enableIRIn();                          //start the reciever
        pinMode(RLED, OUTPUT);                        //set the pin 8 to output
        pinMode(BLED, OUTPUT);                        //set the pin 9 to output
        pinMode(OLED, OUTPUT);                        //set the pin 10 to output
        pinMode(YLED, OUTPUT);                        //set the pin 11 to output
        pinMode(GLED, OUTPUT);                        //set the pin 12 to output
  }

void loop() 
  {
        if (irrecv.decode(&results))                  //this line checks if we received a signal from the IR receiver
          {          
            if (results.value == 0xFF30CF) //if the result is 1, turn on or off the red LED
              {
                if (digitalRead(RLED) == LOW)   //if the red LED is off
                  {
                    digitalWrite(RLED, HIGH);   //turn it on
                     irrecv.resume();           // wait for another signal from the remote
                   }
                else {digitalWrite(RLED, LOW);}  //if the red LED is on, then turn it off
              }
            
            if (results.value == 0xFF18E7) //if the result is 2, turn onor off the blue LED
              {
                if (digitalRead(BLED) == LOW)   //if the blue LED is off
                  {
                    digitalWrite(BLED, HIGH);   //turn it on
                     irrecv.resume();
                   }
                else {digitalWrite(BLED, LOW);}  //if the blue LED is on, then turn it off
              }
            if (results.value == 0xFF7A85) //if the result is 3, turn on of off the orange LED
              {
                if (digitalRead(OLED) == LOW)   //if the orange LED is off
                  {
                    digitalWrite(OLED, HIGH);    //turn it on
                     irrecv.resume();
                   }
                else {digitalWrite(OLED, LOW);}  //if the orange LED is on, then turn it off
              }
            if (results.value == 0xFF10EF) //if the result is 4, turn on or off the yellow LED
              {
                if (digitalRead(YLED) == LOW)   //if the yellow LED is off
                  {
                    digitalWrite(YLED, HIGH);    //turn it on
                     irrecv.resume();
                   }
                else {digitalWrite(YLED, LOW);}  //if the yellow LED is on, then turn it off
              }
            if (results.value == 0xFF38C7) //if the result is 5, turn on or off the green LED
              {
                if (digitalRead(GLED) == LOW)   //if the green LED is off
                  {
                    digitalWrite(GLED, HIGH);    //turn it on
                     irrecv.resume();
                   }
                else {digitalWrite(GLED, LOW);}  //if the green LED is on, then turn it off
              }
              if (results.value == 0xFF6897) //if the result is 0, turn off all the LEDs
              {
                digitalWrite(RLED, LOW);     //turn off the red LED
                digitalWrite(BLED, LOW);     //turn off the blue LED
                digitalWrite(OLED, LOW);     //turn off the orange LED
                digitalWrite(YLED, LOW);     //turn off the yellow LED
                digitalWrite(GLED, LOW);     //turn off the green LED
              }
            irrecv.resume();                          //receive the next value
          }
  }
